<?php
$nt = explode(".", $_POST['Re_Datum']);
$Re_Datum = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
$temp = 0;

if ("" != $_POST['Bezahlt_am'])
{
	$ntbez = explode(".", $_POST['Bezahlt_am']);
	$Bez_Datum = $ntbez['2'] . "-" . $ntbez['1'] . "-" . $ntbez['0'];
	if (3 != sizeof($ntbez))
	{
		echo "<h1>Bitte überprüfen Sie das Format von <i>Bezahlt_am</i> bei der Eingabe!</h1>\n";
		die("<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n");
	}
	else
	{
		if (4 != strlen($ntbez['2']))
		{
			echo "<h1>Bitte überprüfen Sie das Format von <i>Bezahlt_am</i> bei der Eingabe!</h1>\n";
			die("<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n");
		}
		else
		{
			if (!checkdate($ntbez['1'], $ntbez['0'], $ntbez['2']))
			{
				die("<h1>Bitte geben Sie ein korrektes Datum im Feld <i>Bezahlt_am</i> an</h1>\n");
			}
		}
	}
	$Bezahlt = 1;
}
else
{
	$Bezahlt = 0;
	$Bez_Datum = "0000-00-00";
}

if (3 != sizeof($nt))
{
	echo "<h1>Bitte überprüfen Sie das Format des <i>Rechnungsdatums</i> bei der Eingabe!</h1>\n";
	echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
}
else
{
	if (4 != strlen($nt['2']))
	{
		echo "<h1>Bitte überprüfen Sie das Format des <i>Rechnungsdatums</i> bei der Eingabe!</h1>\n";
		echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
	}
	else
	{
		if (checkdate($nt['1'], $nt['0'], $nt['2']))
		{
			$temp = 1;
		}
	}
}

if ($temp)
{
	$sql = 'INSERT INTO ' . PREFIX . '_Rechnungen (Jahr, ID, Kontakt_ID, Admin_ID, Schluss_Rechnung, Alte_Rechnung, Preis, MwSt, Text, Datum, Bezahlt, Bezahlt_am) VALUES (' . date("Y", strtotime($Re_Datum)) . ', NULL, "' . $_POST['Kontakt_ID'] . '", "' . $_POST['Admin_ID'] . '", "1", "1", "' . $_POST['Preis'] . '", "' . $_POST['MwSt'] . '", "Ersetzt Rechnung-Nummer: ' . $_POST['Re_Nr'] . '", "' . $Re_Datum . '", "' . $Bezahlt . '", "' . $Bez_Datum . '");';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
	$sql = 'SELECT last_insert_id() AS last';
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$sql = 'INSERT INTO ' . PREFIX . '_Rechnung_Pos (ID, Jahr, Rechnung_ID, Position, Anzahl, Bezeichnung, Preis) VALUES (NULL, ' . date("Y", strtotime($Re_Datum)) . ', "' . $nt['last'] . '", "1", "1", "Ersetzt Rechnung-Nummer: ' . $_POST['Re_Nr'] . '", "' . $_POST['Preis'] . '")';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
	echo "<h1>Die Rechnungsdaten wurden übernommen!</h1>";
	echo "<p>Falls Sie diese Rechnung bearbeiten wollen, ändern Sie im Bereich \"Schriftverkehr -> Rechnungen\" die Rechnung mit der Nummer " . date("Y", strtotime($Re_Datum)) . "_" . $nt['last'] . "\n";
}